import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as cls } from './helpers.js';

const XTab$1 = /*@__PURE__*/ proxyCustomElement(class XTab extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.active = undefined;
        this.disabled = undefined;
        this.label = undefined;
        this.icon = undefined;
        this.badge = undefined;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: 'aa42bee881e65c64db0727585ed84a235e2ba51b', class: cls({ 'tab-disabled': this.disabled, 'tab-active': this.active }) }, h("slot", { key: 'dca59c58b923891574f1c3c08ed4960e7f1db34b' }));
    }
    get el() { return this; }
}, [4, "x-tab", {
        "active": [4],
        "disabled": [4],
        "label": [1],
        "icon": [1],
        "badge": [8]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-tab"];
    components.forEach(tagName => { switch (tagName) {
        case "x-tab":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTab$1);
            }
            break;
    } });
}

const XTab = XTab$1;
const defineCustomElement = defineCustomElement$1;

export { XTab, defineCustomElement };
